@tailwind base;
@tailwind components;
@tailwind utilities;

.poster {
  z-index: 0;
}

.poster:before {
  background-image: url(../assets/imgs/poster-medium.jpg) !important;
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
  content: " ";
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  position: absolute;
  filter: blur(0px) brightness(140%) contrast(60%) sepia(20%);
}

body.poster:before {
  position: fixed;
}

.circles li {
  position: absolute;
  display: block;
  list-style: none;
  width: 20px;
  height: 20px;
  background: rgba(255, 255, 255, 0.085);
  animation: animate 25s linear infinite;
  bottom: -150px;
}

.circles li:nth-child(1) {
  left: 25%;
  width: 80px;
  height: 80px;
  animation-delay: 0s;
}

.circles li:nth-child(2) {
  left: 10%;
  width: 20px;
  height: 20px;
  animation-delay: 2s;
  animation-duration: 12s;
}

.circles li:nth-child(3) {
  left: 70%;
  width: 20px;
  height: 20px;
  animation-delay: 4s;
}

.circles li:nth-child(4) {
  left: 40%;
  width: 60px;
  height: 60px;
  animation-delay: 0s;
  animation-duration: 18s;
}

.circles li:nth-child(5) {
  left: 65%;
  width: 20px;
  height: 20px;
  animation-delay: 0s;
}

.circles li:nth-child(6) {
  left: 75%;
  width: 110px;
  height: 110px;
  animation-delay: 3s;
}

.circles li:nth-child(7) {
  left: 35%;
  width: 150px;
  height: 150px;
  animation-delay: 7s;
}

.circles li:nth-child(8) {
  left: 50%;
  width: 25px;
  height: 25px;
  animation-delay: 15s;
  animation-duration: 45s;
}

.circles li:nth-child(9) {
  left: 20%;
  width: 15px;
  height: 15px;
  animation-delay: 2s;
  animation-duration: 35s;
}

.circles li:nth-child(10) {
  left: 85%;
  width: 150px;
  height: 150px;
  animation-delay: 0s;
  animation-duration: 11s;
}

@keyframes animate {
  0% {
    transform: translateY(0) rotate(0deg);
    opacity: 1;
    border-radius: 0;
  }

  100% {
    transform: translateY(-1000px) rotate(720deg);
    opacity: 0;
    border-radius: 50%;
  }
}

.wave .air {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100px;
  background: url(../assets/imgs/wave.png);
  background-size: 1000px 100px;
}

.wave .air.air1 {
  animation: wave 30s linear infinite;
  opacity: 0.25;
  animation-delay: 0s;
}

.wave .air.air2 {
  animation: wave2 15s linear infinite;
  opacity: 0.15;
  animation-delay: -5s;
}

.wave .air.air3 {
  animation: wave 30s linear infinite;
  opacity: 0.05;
  animation-delay: -2s;
}

.wave .air.air4 {
  animation: wave2 5s linear infinite;
  opacity: 0.017;
  animation-delay: -5s;
}

@keyframes wave {
  0% {
    background-position-x: 0px;
  }

  100% {
    background-position-x: 1000px;
  }
}

@keyframes wave2 {
  0% {
    background-position-x: 0px;
  }

  100% {
    background-position-x: -1000px;
  }
}

.fib,
.fi {
  background-size: contain;
  background-position: 50%;
  background-repeat: no-repeat;
}

.fi {
  position: relative;
  display: inline-block;
  width: 1.333333em;
  line-height: 1em;
}

.fi:before {
  content: " ";
  display: block;
  width: 24px;
  height: 24px;
}

.fi.fis {
  width: 1em;
}

.fi-gb {
  background-image: url(../assets/imgs/flags/4x3/gb.svg);
}

.fi-gb.fis {
  background-image: url(../assets/imgs/flags/1x1/gb.svg);
}

.fi-ly {
  background-image: url(../assets/imgs/flags/4x3/ly.svg);
}

.fi-ly.fis {
  background-image: url(../assets/imgs/flags/1x1/ly.svg);
}

.fiCircle {
  width: 24px !important;
  height: 24px !important;
  font-size: 24px !important;
  border-radius: 100%;
  border: none;
  box-shadow: inset 0 0 0 2px rgba(0, 0, 0, 0.06);
  background: white;
}